# This is the main configuration file for Paper.
# As you can see, there's tons to configure. Some options may impact gameplay, so use
# with caution, and make sure you know what each option does before configuring.
# 
# If you need help with the configuration or have any questions related to Paper,
# join us in our IRC channel.
# 
# IRC: #paper @ irc.spi.gt ( http://irc.spi.gt/iris/?channels=paper )
# Wiki: https://paper.readthedocs.org/ 
# Paper Forums: https://aquifermc.org/ 

verbose: false
config-version: 13
messages:
  kick:
    flying-player: Flying is not enabled on this server
    flying-vehicle: Flying is not enabled on this server
    authentication-servers-down: ''
settings:
  suggest-player-names-when-null-tab-completions: true
  spam-limiter:
    tab-spam-increment: 10
    tab-spam-limit: 500
  book-size:
    page-max: 2560
    total-multiplier: 0.98
  sleep-between-chunk-saves: false
  load-permissions-yml-before-plugins: true
  region-file-cache-size: 256
  enable-player-collisions: true
  save-empty-scoreboard-teams: false
  incoming-packet-spam-threshold: 300
  player-auto-save-rate: -1
  max-player-auto-save-per-tick: -1
  remove-invalid-statistics: false
  save-player-data: true
  use-alternative-luck-formula: false
  min-chunk-load-threads: 2
  bungee-online-mode: true
timings:
  enabled: true
  verbose: true
  server-name-privacy: false
  hidden-config-entries:
  - database
  - settings.bungeecord-addresses
  history-interval: 300
  history-length: 3600
